Package org.springframework.batch.core.job.flow

# Class FlowExecutionStatus

java.lang.Object
org.springframework.batch.core.job.flow.FlowExecutionStatus

All Implemented Interfaces:
  `Comparable<FlowExecutionStatus>`

public class FlowExecutionStatus extends Object implements Comparable<FlowExecutionStatus>
Represents the status of `FlowExecution`.

Since:
  2.0
Author:
  Dan Garrette, Dave Syer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FlowExecutionStatus`
  `COMPLETED`
  Special well-known status value.
  `static final FlowExecutionStatus`
  `FAILED`
  Special well-known status value.
  `static final FlowExecutionStatus`
  `STOPPED`
  Special well-known status value.
  `static final FlowExecutionStatus`
  `UNKNOWN`
  Special well-known status value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowExecutionStatus(String status)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(FlowExecutionStatus other)`
  Create an ordering on `FlowExecutionStatus` instances by comparing their statuses.
  `boolean`
  `equals(Object object)`
  Check the equality of the statuses.
  `String`
  `getName()`
  `int`
  `hashCode()`
  `boolean`
  `isEnd()`
  `boolean`
  `isFail()`
  `boolean`
  `isStop()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### COMPLETED

    public static final FlowExecutionStatus COMPLETED
    Special well-known status value.

  - ### STOPPED

    public static final FlowExecutionStatus STOPPED
    Special well-known status value.

  - ### FAILED

    public static final FlowExecutionStatus FAILED
    Special well-known status value.

  - ### UNKNOWN

    public static final FlowExecutionStatus UNKNOWN
    Special well-known status value.

- ## Constructor Details

  - ### FlowExecutionStatus

    public FlowExecutionStatus(String status)
    Parameters:
      `status` - String status value.

- ## Method Details

  - ### isStop

    public boolean isStop()
    Returns:
      true if the status starts with "STOPPED"

  - ### isFail

    public boolean isFail()
    Returns:
      true if the status starts with "FAILED"

  - ### isEnd

    public boolean isEnd()
    Returns:
      true if this status represents the end of a flow

  - ### compareTo

    public int compareTo(FlowExecutionStatus other)
    Create an ordering on `FlowExecutionStatus` instances by comparing their statuses.
    Specified by:
      `compareTo` in interface `Comparable<FlowExecutionStatus>`
    Parameters:
      `other` - instance of `FlowExecutionStatus` to compare this instance with.
    Returns:
      negative, zero or positive as per the contract
    See Also:
      - `Comparable.compareTo(Object)`

  - ### equals

    public boolean equals(Object object)
    Check the equality of the statuses.
    Overrides:
      `equals` in class `Object`
    See Also:
      - `Object.equals(java.lang.Object)`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    See Also:
      - `Object.toString()`

  - ### getName

    public String getName()
    Returns:
      the name of this status